Update Identity
Updates an Identity, this action performs a delta of what is submitted in the update and the existing identity.
- Updating details (
person_detailsorinstitution_details) might lead to the identity being re-verified (e.g. re-screening name changes), which could impact the identity’s ability to transact on the Platform. - Setting
set_user_disabledtotruewill make the IdentityDISABLED(read more here on what this means) - Setting
tax_detailswill update all the tax details for the identity - Setting
last_kyc_refresh_dateindicates this is not an adhoc-update, and instead an update for a periodic kyc refresh
Changing an Institution Identity to a Person and vice-versa is not supported.
Documentation Index
Fetch the complete documentation index at: https://paxos-0ac97319-mintlify-fix-orchestration-example-1774904789.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
Body
true disables the identity. false re-enables it, unless it has been disabled by a Paxos admin.
A user-facing ID to prevent duplicate identity creation. Unique for all identities created by the same API user.
Set to true if tax details are not legally required.
Set to true to indicate that this identity is a merchant.
Set to the timestamp the identity has last undergone a periodic kyc refresh. If unset, the update is not for
periodic kyc refresh. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
Response
A successful response.
PENDING, ERROR, APPROVED, DENIED, DISABLED PENDING, ERROR, APPROVED, DENIED, DISABLED PERSON, INSTITUTION A user-facing ID to prevent duplicate account creation. Unique for all accounts created by the same API user.
The time at which the identity is created at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
The time at which the identity is updated at. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.
The TIN verification status for the associated tax_payer_id.
TIN_VERIFICATION_PENDING, TIN_VERIFICATION_ERROR, TIN_VERIFICATION_VALID True if the identity is a merchant.
The last timestamp the identity has undergone a periodic kyc refresh. RFC3339 format, like YYYY-MM-DDTHH:MM:SS.sssZ. ex: 2006-01-02T15:04:05Z.